Package pygccxml :: Package declarations :: Module cpptypes :: Class declarated_t

# type declarated_t

source code

    object --+
             |
        type_t --+
                 |
                declarated_t

class that binds between to hierarchies: type_t and declaration_t

Instance Methods

__init__(self, declaration) | source code

build_decl_string(self, with_defaults=True) | source code

Inherited from `type_t`: `__eq__`, `__lt__`, `__ne__`, `__str__`, `clone`

Properties
| declaration reference to declaration
| byte_size Size of this type in bytes @type: int
| byte_align alignment of this type in bytes @type: int
Inherited from `type_t`: `decl_string`, `partial_decl_string`

Method Details

### __init__(self, declaration)
(Constructor)

source code

Overrides: type_t.__init__

### build_decl_string(self, with_defaults=True)

source code

Overrides: type_t.build_decl_string

Property Details

### declaration

reference to declaration

Get Method:
  _get_declaration(self)
Set Method:
  _set_declaration(self, new_declaration)

### byte_size

Size of this type in bytes @type: int

### byte_align

alignment of this type in bytes @type: int